package javacgc;

import java.util.ArrayList;



// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.14EFDC98-94E9-F608-8218-406CD4546756]
// </editor-fold> 
public class Cliente {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.EA217B90-E3DF-9CC6-62DD-E0C1E9B8D745]
    // </editor-fold> 
    private String nombreCliente;

        private String documentacion;

        private ArrayList<Producto> mProducto;

        private ArrayList<Domiciliacion> mDomic;


        public Cliente(){
            mProducto=new ArrayList();

        }


    public String getNombreCliente () {
        return nombreCliente;
    }


    public void setNombreCliente (String val) {
        this.nombreCliente = val;
    }

    /**
     * @return the documentacion
     */
    public String getDocumentacion() {
        return documentacion;
    }

    /**
     * @param documentacion the documentacion to set
     */
    public void setDocumentacion(String documentacion) {
        this.documentacion = documentacion;
    }

    /**
     * @return the mProducto
     */
    public ArrayList<Producto> getMProducto() {
        return mProducto;
    }

    /**
     * @param mProducto the mProducto to set
     */
    public void setMProducto(ArrayList<Producto> mProducto) {
        this.mProducto = mProducto;
    }

    public void insertaProductoenCliente(Producto p){
        this.mProducto.add(p);
    }
    
    public ArrayList<Domiciliacion> getmDomic() {
        return mDomic;
    }

    public void setmDomic(ArrayList<Domiciliacion> mDomic) {
        this.mDomic = mDomic;
    }

    public void insertaDomiciliacion(Domiciliacion d){

        mDomic.add(d);  //añado una unica domiciliacion
    }
}

